"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-311/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1046404a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1046405e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104640540>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104640680>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x104640720>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1046407c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104640860>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104640900>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1046409a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104640a40>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x104640ae0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x104640b80>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x104640c20>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x104640cc0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x104640d60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x104640e00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x104640ea0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x104640f40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x104640fe0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x104641080>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x104641120>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1046411c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x104641260>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x104641300>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1046413a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x104641440>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1046414e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x104641580>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x104641620>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1046416c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x104641760>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x104641800>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1046418a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x104641940>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1046419e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x104641a80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x104641b20>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x104641bc0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104641c60>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104641d00>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104641da0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x104641e40>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x104641ee0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x104641f80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x104642020>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1046420c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x104642160>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104642200>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1046422a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x104642340>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1046423e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x104642480>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x104642520>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1046425c0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x104642660>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x104642700>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1046427a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104642840>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1046428e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x104642980>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x104642a20>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x104642ac0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x104642b60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x104642c00>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x104642ca0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x104642d40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x104642de0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x104642e80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x104642f20>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104642fc0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x104643060>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x104643100>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1046431a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x104643240>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1046432e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x104643380>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x104643420>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1046434c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x104643560>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1046436a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x104643600>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x104643740>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1046437e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x104643880>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x104643920>)]
name: str = 'fr_HOCCN'
